View Issue Details

IDCategoryLast Update
0006371bugs2015-11-14 04:24
ReporterbeefheartAssigned Totimbyr 
Reproducibilityalways 
Status resolvedResolutionfixed 
Product Version4.X git (version in description) 
Fixed in Version4.X git (version in description) 
Summary0006371: drawing automation causes a crash
DescriptionI first noticed this when automating plugins but I have managed to replicate it with native Ardour functions now (pan width, mute although strangely not fader).

Basically, load a new project, load a plugin on to a track (I have been using calf's latest release so far), select A and choose a parameter from the plugin, select Draw mode, draw automation.

Ardour will crash (vanish) sooner or later, the amount of time it takes or where it happens on the timeline both vary but it regularly does crash for me.

I have attached a gdb output and here is a video of the crash if it helps at all - https://drive.google.com/open?id=0B66bbQPlW2N9NENHWGU0WFpicGM&authuser=0
Additional InformationLinux (funtoo)
Using the nightly debug build - revision 4.0-434-ge801155
Tagsautomation, crash

Activities

2015-06-08 19:52

 

ardour-gdb (9,494 bytes)
/opt/Ardour-4.0.434-dbg/bin/ardour4 --debug 
GNU gdb (Gentoo 7.9.1 vanilla) 7.9.1
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://bugs.gentoo.org/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /opt/Ardour-4.0.434-dbg/bin/ardour-4.0.434...done.
(gdb) run
Starting program: /opt/Ardour-4.0.434-dbg/bin/ardour-4.0.434 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
bind txt domain [gtk2_ardour4] to /opt/Ardour-4.0.434-dbg/share/locale
Ardour4.0.434 (built using 4.0-434-ge801155 and GCC version 4.4.7)
ardour: [INFO]: Your system is configured to limit Ardour to only 64000 open files
ardour: [INFO]: Loading system configuration file /opt/Ardour-4.0.434-dbg/etc/system_config
Loading user configuration file /home/alex/.config/ardour4/config
Using SSE optimized routines
[New Thread 0x7fffe3fff700 (LWP 15884)]
[New Thread 0x7fffe8d8b700 (LWP 15883)]
[New Thread 0x7fffe958c700 (LWP 15882)]
[New Thread 0x7fffe9d8d700 (LWP 15881)]
*** WEAK-JACK: initializing
*** WEAK-JACK: OK. (0)
Cannot xinstall SIGPIPE error handler
ardour: [INFO]: Loading default ui configuration file /opt/Ardour-4.0.434-dbg/etc/default_ui_config
ardour: [INFO]: Loading user ui configuration file /home/alex/.config/ardour4/ui_config
ardour: [INFO]: Loading ui configuration file /opt/Ardour-4.0.434-dbg/etc/clearlooks.rc
ardour: [INFO]: Loading ui configuration file /opt/Ardour-4.0.434-dbg/etc/clearlooks.rc
[New Thread 0x7fffe811e800 (LWP 15887)]
EngineControl::set_state
Found nothing along /home/alex/.config/ardour4/templates:/opt/Ardour-4.0.434-dbg/share/templates
run dialog
Announcement is: 
[Thread 0x7fffe811e800 (LWP 15887) exited]
error: failed to expand CURIE `fomp:'
error: attempt to add quad with NULL field
error: failed to expand CURIE `pprops:hasStrictBounds'
error: attempt to add quad with NULL field
error: failed to expand CURIE `pprops:hasStrictBounds'
error: attempt to add quad with NULL field
error: failed to expand CURIE `pprops:hasStrictBounds'
error: attempt to add quad with NULL field
error: failed to expand CURIE `pprops:hasStrictBounds'
error: attempt to add quad with NULL field
error: failed to expand CURIE `pprops:notOnGUI'
error: attempt to add quad with NULL field
error: failed to expand CURIE `pprops:notOnGUI'
error: attempt to add quad with NULL field
error: failed to expand CURIE `units:unit'
error: failed to expand CURIE `units:coeff'
error: attempt to add quad with NULL field
error: failed to expand CURIE `units:unit'
error: failed to expand CURIE `units:s'
error: attempt to add quad with NULL field
Set cursor set to default
actually writing state to /home/alex/Music Production/Projects/Ardour/gdbtest/gdbtest.tmp
renaming state to /home/alex/Music Production/Projects/Ardour/gdbtest/gdbtest.ardour
actually writing state to /home/alex/Music Production/Projects/Ardour/gdbtest/gdbtest.tmp
renaming state to /home/alex/Music Production/Projects/Ardour/gdbtest/gdbtest.ardour
Color trim knob not found
Color trim knob: arc start not found
Color trim knob: arc end not found
Please call begin_reversible_command() before commit_reversible_command().
ardour-4.0.434: ../libs/ardour/session_state.cc:2470: void ARDOUR::Session::commit_reversible_command(Command*): Assertion `_current_trans' failed.
[New Thread 0x7fffb7fff700 (LWP 16026)]
[New Thread 0x7fffcb5f3700 (LWP 16025)]
[New Thread 0x7fffcbdf4700 (LWP 16008)]
[New Thread 0x7fffc808d800 (LWP 16007)]
[New Thread 0x7fffc93ce700 (LWP 15939)]
[New Thread 0x7fffca902700 (LWP 15938)]
[New Thread 0x7fffca983700 (LWP 15937)]
[New Thread 0x7fffe0cd4700 (LWP 15890)]
[New Thread 0x7fffe2bc1700 (LWP 15886)]
[New Thread 0x7fffe33c2700 (LWP 15885)]

Program received signal SIGABRT, Aborted.
0x00007fffed4c7e67 in raise () from /lib64/libc.so.6
(gdb) thread apply all bt

Thread 16 (Thread 0x7fffe33c2700 (LWP 15885)):
#0  0x00007ffff04de54f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffff4712524 in g_cond_wait () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff6ece450 in ARDOUR::AudioEngine::do_reset_backend (this=0x1786240) at ../libs/ardour/audioengine.cc:498
#3  0x00007ffff6edb9dd in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x1794550, p=0x1786240) at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff6edb5ec in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x1794560, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#5  0x00007ffff6edaeed in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x1794550)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#6  0x00007ffff6eda6da in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x1794550)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#7  0x00007ffff6ed9902 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x1794520)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff4c50b72 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglibmm-2.4.so.1
#9  0x00007ffff46f17f5 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#10 0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fffe2bc1700 (LWP 15886)):
#0  0x00007ffff04de54f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffff4712524 in g_cond_wait () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff6ece64f in ARDOUR::AudioEngine::do_devicelist_update (this=0x1786240) at ../libs/ardour/audioengine.cc:531
#3  0x00007ffff6edb9dd in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x18bb800, p=0x1786240) at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff6edb5ec in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x18bb810, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#5  0x00007ffff6edaeed in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x18bb800)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#6  0x00007ffff6eda6da in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x18bb800)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#7  0x00007ffff6ed9902 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x18bb7d0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff4c50b72 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglibmm-2.4.so.1
#9  0x00007ffff46f17f5 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#10 0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fffe0cd4700 (LWP 15890)):
#0  0x00007fffed56ec8d in poll () from /lib64/libc.so.6
#1  0x00007ffff46c6aa5 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff46c6cc7 in g_main_context_iteration () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#3  0x00007ffff46c6d19 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#4  0x00007ffff46f17f5 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#5  0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fffca983700 (LWP 15937)):
#0  0x00007ffff04de54f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fffe157e94c in ?? () from /usr/lib64/libjack.so.0
#2  0x00007fffe15761e8 in ?? () from /usr/lib64/libjack.so.0
#3  0x00007fffe157da70 in ?? () from /usr/lib64/libjack.so.0
#4  0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fffca902700 (LWP 15938)):
#0  0x00007ffff04e0f2d in read () from /lib64/libpthread.so.0
ardour-gdb (9,494 bytes)

nick_m

2015-06-10 19:21

reporter   ~0016776

Could you please get another gdb backtrace?
That one cuts off early here.

Thanks.

2015-06-10 19:40

 

FULL_gdb (24,883 bytes)
~ % /opt/Ardour-4.0.434-dbg/bin/ardour4 --debug
GNU gdb (Gentoo 7.9.1 vanilla) 7.9.1
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://bugs.gentoo.org/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /opt/Ardour-4.0.434-dbg/bin/ardour-4.0.434...done.
(gdb) run
Starting program: /opt/Ardour-4.0.434-dbg/bin/ardour-4.0.434 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
bind txt domain [gtk2_ardour4] to /opt/Ardour-4.0.434-dbg/share/locale
Ardour4.0.434 (built using 4.0-434-ge801155 and GCC version 4.4.7)
ardour: [INFO]: Your system is configured to limit Ardour to only 64000 open files
ardour: [INFO]: Loading system configuration file /opt/Ardour-4.0.434-dbg/etc/system_config
Loading user configuration file /home/alex/.config/ardour4/config
Using SSE optimized routines
[New Thread 0x7fffe3fff700 (LWP 26424)]
[New Thread 0x7fffe8d8b700 (LWP 26423)]
[New Thread 0x7fffe958c700 (LWP 26422)]
[New Thread 0x7fffe9d8d700 (LWP 26421)]
*** WEAK-JACK: initializing
*** WEAK-JACK: OK. (0)
Cannot xinstall SIGPIPE error handler
ardour: [INFO]: Loading default ui configuration file /opt/Ardour-4.0.434-dbg/etc/default_ui_config
ardour: [INFO]: Loading user ui configuration file /home/alex/.config/ardour4/ui_config
ardour: [INFO]: Loading color file /opt/Ardour-4.0.434-dbg/etc/dark.colors
ardour: [INFO]: Loading ui configuration file /opt/Ardour-4.0.434-dbg/etc/clearlooks.rc
ardour: [INFO]: Loading ui configuration file /opt/Ardour-4.0.434-dbg/etc/clearlooks.rc
[New Thread 0x7fffe811e800 (LWP 26430)]
EngineControl::set_state
Found nothing along /home/alex/.config/ardour4/templates:/opt/Ardour-4.0.434-dbg/share/templates
run dialog
Announcement is: 
[Thread 0x7fffe811e800 (LWP 26430) exited]
run dialog
error: failed to expand CURIE `fomp:'
error: attempt to add quad with NULL field
error: failed to expand CURIE `pprops:hasStrictBounds'
error: attempt to add quad with NULL field
error: failed to expand CURIE `pprops:hasStrictBounds'
error: attempt to add quad with NULL field
error: failed to expand CURIE `pprops:hasStrictBounds'
error: attempt to add quad with NULL field
error: failed to expand CURIE `pprops:hasStrictBounds'
error: attempt to add quad with NULL field
Set cursor set to default
actually writing state to /home/alex/Music Production/Projects/Ardour/gdbtest12/gdbtest12.tmp
renaming state to /home/alex/Music Production/Projects/Ardour/gdbtest12/gdbtest12.ardour
actually writing state to /home/alex/Music Production/Projects/Ardour/gdbtest12/gdbtest12.tmp
renaming state to /home/alex/Music Production/Projects/Ardour/gdbtest12/gdbtest12.ardour
Please call begin_reversible_command() before commit_reversible_command().
ardour-4.0.434: ../libs/ardour/session_state.cc:2470: void ARDOUR::Session::commit_reversible_command(Command*): Assertion `_current_trans' failed.
[New Thread 0x7fffb7fff700 (LWP 26593)]
[New Thread 0x7fffcbdf4700 (LWP 26592)]
[New Thread 0x7fffcb5f3700 (LWP 26574)]
[New Thread 0x7fffc808d800 (LWP 26573)]
[New Thread 0x7fffc93ce700 (LWP 26499)]
[New Thread 0x7fffca902700 (LWP 26498)]
[New Thread 0x7fffca983700 (LWP 26497)]
[New Thread 0x7fffe0cd4700 (LWP 26433)]
[New Thread 0x7fffe2bc1700 (LWP 26429)]
[New Thread 0x7fffe33c2700 (LWP 26428)]

Program received signal SIGABRT, Aborted.
0x00007fffed4c7e67 in raise () from /lib64/libc.so.6
(gdb) thread apply all bt

Thread 16 (Thread 0x7fffe33c2700 (LWP 26428)):
#0  0x00007ffff04de54f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffff4712524 in g_cond_wait () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff6ece450 in ARDOUR::AudioEngine::do_reset_backend (this=0x1786280) at ../libs/ardour/audioengine.cc:498
#3  0x00007ffff6edb9dd in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x1780020, p=0x1786280) at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff6edb5ec in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x1780030, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#5  0x00007ffff6edaeed in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x1780020)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#6  0x00007ffff6eda6da in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x1780020)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#7  0x00007ffff6ed9902 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x177fff0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff4c50b72 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglibmm-2.4.so.1
#9  0x00007ffff46f17f5 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#10 0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fffe2bc1700 (LWP 26429)):
#0  0x00007ffff04de54f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffff4712524 in g_cond_wait () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff6ece64f in ARDOUR::AudioEngine::do_devicelist_update (this=0x1786280) at ../libs/ardour/audioengine.cc:531
#3  0x00007ffff6edb9dd in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x1780d00, p=0x1786280) at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff6edb5ec in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x1780d10, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
#5  0x00007ffff6edaeed in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x1780d00)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#6  0x00007ffff6eda6da in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x1780d00)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#7  0x00007ffff6ed9902 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x1780cd0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff4c50b72 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglibmm-2.4.so.1
#9  0x00007ffff46f17f5 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#10 0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fffe0cd4700 (LWP 26433)):
#0  0x00007fffed56ec8d in poll () from /lib64/libc.so.6
#1  0x00007ffff46c6aa5 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff46c6cc7 in g_main_context_iteration () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#3  0x00007ffff46c6d19 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#4  0x00007ffff46f17f5 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#5  0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fffca983700 (LWP 26497)):
#0  0x00007ffff04de54f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fffe157e94c in ?? () from /usr/lib64/libjack.so.0
#2  0x00007fffe15761e8 in ?? () from /usr/lib64/libjack.so.0
#3  0x00007fffe157da70 in ?? () from /usr/lib64/libjack.so.0
#4  0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fffca902700 (LWP 26498)):
#0  0x00007ffff04e0f2d in read () from /lib64/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#1  0x00007fffe157f124 in ?? () from /usr/lib64/libjack.so.0
#2  0x00007fffe1581909 in ?? () from /usr/lib64/libjack.so.0
#3  0x00007fffe157da70 in ?? () from /usr/lib64/libjack.so.0
#4  0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fffc93ce700 (LWP 26499)):
#0  0x00007ffff04e05b0 in sem_timedwait () from /lib64/libpthread.so.0
#1  0x00007fffe157e48c in ?? () from /usr/lib64/libjack.so.0
#2  0x00007fffe1568bfc in ?? () from /usr/lib64/libjack.so.0
#3  0x00007fffe15673d7 in ?? () from /usr/lib64/libjack.so.0
#4  0x00007fffe1800ec0 in WJACK_cycle_wait (client=0x1f66450) at ../libs/backends/jack/weak_libjack.def:74
#5  0x00007fffe17e50fe in ARDOUR::JACKAudioBackend::process_thread (this=0x1f5f600) at ../libs/backends/jack/jack_audiobackend.cc:932
#6  0x00007fffe17e509e in ARDOUR::JACKAudioBackend::_process_thread (arg=0x1f5f600) at ../libs/backends/jack/jack_audiobackend.cc:911
#7  0x00007fffe156734a in ?? () from /usr/lib64/libjack.so.0
#8  0x00007fffe157da70 in ?? () from /usr/lib64/libjack.so.0
#9  0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fffc808d800 (LWP 26573)):
#0  0x00007fffed56ec8d in poll () from /lib64/libc.so.6
#1  0x00007ffff58504d9 in CrossThreadChannel::poll_for_request (this=0x1f2b820) at ../libs/pbd/crossthread.posix.cc:73
#2  0x00007ffff5850541 in CrossThreadChannel::receive (this=0x1f2b820, msg=@0x7fffc808c8af: 0 '\000', wait=true) at ../libs/pbd/crossthread.posix.cc:94
#3  0x00007ffff6f3b5f5 in ARDOUR::Butler::thread_work (this=0x1f2b790) at ../libs/ardour/butler.cc:144
#4  0x00007ffff6f3b31b in ARDOUR::Butler::_thread_work (arg=0x1f2b790) at ../libs/ardour/butler.cc:125
#5  0x00007ffff586713e in fake_thread_start (arg=0x2d86c00) at ../libs/pbd/pthread_utils.cc:93
#6  0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#7  0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fffcb5f3700 (LWP 26574)):
#0  0x00007fffed56ec8d in poll () from /lib64/libc.so.6
#1  0x00007ffff46c6aa5 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff46c6bb5 in g_main_loop_run () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#3  0x00007ffff5839bb9 in BaseUI::main_thread (this=0x2d86d70) at ../libs/pbd/base_ui.cc:86
#4  0x00007ffff583d76f in sigc::bound_mem_functor0<void, BaseUI>::operator() (this=0x2d87538) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#5  0x00007ffff583d49c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0x2d87530) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#6  0x00007ffff583ce53 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0x2d87500) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7  0x00007ffff4c50b72 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglibmm-2.4.so.1
#8  0x00007ffff46f17f5 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#9  0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fffcbdf4700 (LWP 26592)):
#0  0x00007ffff04de54f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffff72e326a in ARDOUR::Session::emit_thread_run (this=0x1f2ecb0) at ../libs/ardour/session_process.cc:1313
#2  0x00007ffff72e3214 in ARDOUR::Session::emit_thread (arg=0x1f2ecb0) at ../libs/ardour/session_process.cc:1302
#3  0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fffb7fff700 (LWP 26593)):
#0  0x00007ffff04e15dd in nanosleep () from /lib64/libpthread.so.0
#1  0x00007ffff46f3298 in g_usleep () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff6f26fe4 in ARDOUR::AutomationWatch::thread (this=0x5493a10) at ../libs/ardour/automation_watch.cc:153
#3  0x00007ffff6f2a507 in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator() (this=0x62998d0, p=0x5493a10) at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff6f2a14a in boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0> (this=0x62998e0, f=..., a=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind.hpp:253
---Type <return> to continue, or q <return> to quit---
#5  0x00007ffff6f29d45 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator() (this=0x62998d0)
    at /home/ardour/linux-x86_64/gtk/inst/include/boost/bind/bind_template.hpp:20
#6  0x00007ffff6f29cd0 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator() (this=0x62998d0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#7  0x00007ffff6f298d0 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it (rep=0x62998a0)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff4c50b72 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglibmm-2.4.so.1
#9  0x00007ffff46f17f5 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#10 0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fffe9d8d700 (LWP 26421)):
#0  0x00007ffff04e15dd in nanosleep () from /lib64/libpthread.so.0
#1  0x00007ffff46f3298 in g_usleep () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#2  0x0000000000fa7b08 in gui_event_loop (ptr=0x0) at ../gtk2_ardour/linux_vst_gui_support.cc:476
#3  0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fffe958c700 (LWP 26422)):
#0  0x00007ffff04de54f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffff4712524 in g_cond_wait () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff734dfa9 in peak_thread_work () at ../libs/ardour/source_factory.cc:68
#3  0x0000000000c98b23 in sigc::pointer_functor0<void>::operator() (this=0x17a63f8) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000000000c96072 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x17a63f0) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#5  0x0000000000c92799 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x17a63c0) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6  0x00007ffff4c50b72 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglibmm-2.4.so.1
#7  0x00007ffff46f17f5 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#8  0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fffe8d8b700 (LWP 26423)):
#0  0x00007ffff04de54f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffff4712524 in g_cond_wait () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff734dfa9 in peak_thread_work () at ../libs/ardour/source_factory.cc:68
#3  0x0000000000c98b23 in sigc::pointer_functor0<void>::operator() (this=0x17a5e98) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000000000c96072 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x17a5e90) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#5  0x0000000000c92799 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x17a5e60) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6  0x00007ffff4c50b72 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglibmm-2.4.so.1
#7  0x00007ffff46f17f5 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#8  0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fffe3fff700 (LWP 26424)):
#0  0x00007ffff04de54f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffff4712524 in g_cond_wait () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff6e7799f in ARDOUR::Analyser::work () at ../libs/ardour/analyser.cc:85
#3  0x00007ffff6e77735 in analyser_work () at ../libs/ardour/analyser.cc:50
#4  0x0000000000c98b23 in sigc::pointer_functor0<void>::operator() (this=0x179ac78) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#5  0x0000000000c96072 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x179ac70) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#6  0x0000000000c92799 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x179ac40) at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7  0x00007ffff4c50b72 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglibmm-2.4.so.1
#8  0x00007ffff46f17f5 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#9  0x00007ffff04da204 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fffed57787d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7ffff7fb18c0 (LWP 26403)):
---Type <return> to continue, or q <return> to quit---
#0  0x00007fffed4c7e67 in raise () from /lib64/libc.so.6
#1  0x00007fffed4c91ca in abort () from /lib64/libc.so.6
#2  0x00007fffed4c1026 in ?? () from /lib64/libc.so.6
#3  0x00007fffed4c10d2 in __assert_fail () from /lib64/libc.so.6
#4  0x00007ffff72f8d11 in ARDOUR::Session::commit_reversible_command (this=0x1f2ecb0, cmd=0x0) at ../libs/ardour/session_state.cc:2470
#5  0x000000000076d53e in Editor::commit_reversible_command (this=0x2fe0290) at ../gtk2_ardour/editor.cc:3507
#6  0x000000000081af2d in LineDrag::finished (this=0x4c31dc0, event=0x7fffffffc350, movement_occured=false) at ../gtk2_ardour/editor_drag.cc:4245
#7  0x0000000000801901 in Drag::end_grab (this=0x4c31dc0, event=0x7fffffffc350) at ../gtk2_ardour/editor_drag.cc:308
#8  0x00000000008010ba in DragManager::end_grab (this=0x2c699b0, e=0x7fffffffc350) at ../gtk2_ardour/editor_drag.cc:155
#9  0x000000000086095d in Editor::button_release_handler (this=0x2fe0290, item=0x1ad4400, event=0x7fffffffc350, item_type=AutomationLineItem) at ../gtk2_ardour/editor_mouse.cc:1198
#10 0x00000000007fa4a0 in Editor::typed_event (this=0x2fe0290, item=0x1ad4400, event=0x7fffffffc350, type=AutomationLineItem) at ../gtk2_ardour/editor_canvas_events.cc:224
#11 0x00000000007fb554 in Editor::canvas_line_event (this=0x2fe0290, event=0x7fffffffc350, item=0x1ad4400, al=0x5f75260) at ../gtk2_ardour/editor_canvas_events.cc:698
#12 0x00000000006e39c5 in AutomationLine::event_handler (this=0x5f75260, event=0x7fffffffc350) at ../gtk2_ardour/automation_line.cc:146
#13 0x00000000006f1114 in sigc::bound_mem_functor1<bool, AutomationLine, _GdkEvent*>::operator() (this=0x50d75a8, _A_a1=@0x7fffffffc220: 0x7fffffffc350)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1851
#14 0x00000000006f016d in sigc::adaptor_functor<sigc::bound_mem_functor1<bool, AutomationLine, _GdkEvent*> >::operator()<_GdkEvent* const&> (this=0x50d75a0, _A_arg1=@0x7fffffffc220: 0x7fffffffc350)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:84
#15 0x00000000006ef338 in sigc::internal::slot_call1<sigc::bound_mem_functor1<bool, AutomationLine, _GdkEvent*>, bool, _GdkEvent*>::call_it (rep=0x50d7570, a_1=@0x7fffffffc220: 0x7fffffffc350)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:137
#16 0x00007ffff790e7a4 in sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::operator() (this=0x7fffffffc0d0, _A_slot=...)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/signal.h:830
#17 0x00007ffff790e3c3 in sigc::internal::slot_iterator_buf<sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >, bool>::operator* (this=0x7fffffffc090)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/signal.h:302
#18 0x00007ffff790ddbd in ArdourCanvas::Item::EventAccumulator<bool>::operator()<sigc::internal::slot_iterator_buf<sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >, bool> > (
    this=0x7fffffffc0ff, first=..., last=...) at /home/ardour/linux-x86_64/ardour/libs/canvas/canvas/item.h:218
#19 0x00007ffff790d463 in sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::emit (impl=0x536e100, _A_a1=@0x7fffffffc220: 0x7fffffffc350)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/signal.h:850
#20 0x00007ffff790bfbd in sigc::signal1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::emit (this=0x1ad4470, _A_a1=@0x7fffffffc220: 0x7fffffffc350)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/signal.h:2777
#21 0x00007ffff790a32d in sigc::signal1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::operator() (this=0x1ad4470, _A_a1=@0x7fffffffc220: 0x7fffffffc350)
    at /home/ardour/linux-x86_64/gtk/inst/include/sigc++-2.0/sigc++/signal.h:2785
#22 0x00007ffff79053f0 in ArdourCanvas::GtkCanvas::deliver_event (this=0x2afcbe8, event=0x7fffffffc350) at ../libs/canvas/canvas.cc:693
#23 0x00007ffff7906b70 in ArdourCanvas::GtkCanvas::on_button_release_event (this=0x2afcbe8, ev=0x6e93ed0) at ../libs/canvas/canvas.cc:944
#24 0x00007ffff1bfaf13 in Gtk::Widget_Class::button_release_event_callback(_GtkWidget*, _GdkEventButton*) () from /opt/Ardour-4.0.434-dbg/lib/libgtkmm-2.4.so.1
#25 0x00007ffff3b33f38 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libgtk-x11-2.0.so.0
#26 0x00007ffff49c91e2 in g_closure_invoke () from /opt/Ardour-4.0.434-dbg/lib/libgobject-2.0.so.0
#27 0x00007ffff49e0272 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libgobject-2.0.so.0
#28 0x00007ffff49e0f98 in g_signal_emit_valist () from /opt/Ardour-4.0.434-dbg/lib/libgobject-2.0.so.0
#29 0x00007ffff49e17e3 in g_signal_emit () from /opt/Ardour-4.0.434-dbg/lib/libgobject-2.0.so.0
#30 0x00007ffff3c8ad8f in ?? () from /opt/Ardour-4.0.434-dbg/lib/libgtk-x11-2.0.so.0
#31 0x00007ffff3b2c0d3 in gtk_propagate_event () from /opt/Ardour-4.0.434-dbg/lib/libgtk-x11-2.0.so.0
#32 0x00007ffff3b2dc4b in gtk_main_do_event () from /opt/Ardour-4.0.434-dbg/lib/libgtk-x11-2.0.so.0
#33 0x00007ffff3768f7c in ?? () from /opt/Ardour-4.0.434-dbg/lib/libgdk-x11-2.0.so.0
#34 0x00007ffff46c4dae in g_main_context_dispatch () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#35 0x00007ffff46c6b08 in ?? () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#36 0x00007ffff46c6bb5 in g_main_loop_run () from /opt/Ardour-4.0.434-dbg/lib/libglib-2.0.so.0
#37 0x00007ffff3b2d657 in gtk_main () from /opt/Ardour-4.0.434-dbg/lib/libgtk-x11-2.0.so.0
#38 0x00007ffff5c536a3 in Gtkmm2ext::UI::run (this=0x19bfed0, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:280
#39 0x0000000000a5e545 in main (argc=1, argv=0x7fffffffce38) at ../gtk2_ardour/main.cc:362
FULL_gdb (24,883 bytes)

beefheart

2015-06-10 19:40

reporter   ~0016777

I'm sorry about that, I have attached the full backtrace this time.

beefheart

2015-11-12 14:37

reporter   ~0017605

This bug can be closed, it is fixed already.

timbyr

2015-11-14 04:24

developer   ~0017610

Feedback from reporter indicates this bug is now fixed

Issue History

Date Modified Username Field Change
2015-06-08 19:52 beefheart New Issue
2015-06-08 19:52 beefheart File Added: ardour-gdb
2015-06-08 19:54 beefheart Tag Attached: automation
2015-06-08 19:54 beefheart Tag Attached: crash
2015-06-10 19:21 nick_m Note Added: 0016776
2015-06-10 19:40 beefheart File Added: FULL_gdb
2015-06-10 19:40 beefheart Note Added: 0016777
2015-11-12 14:37 beefheart Note Added: 0017605
2015-11-14 04:24 timbyr Note Added: 0017610
2015-11-14 04:24 timbyr Status new => resolved
2015-11-14 04:24 timbyr Fixed in Version => 4.X git (version in description)
2015-11-14 04:24 timbyr Resolution open => fixed
2015-11-14 04:24 timbyr Assigned To => timbyr